Package org.eclipse.emf.cdo.common.lock

# Enum Class IDurableLockingManager.LockGrade

java.lang.Object
java.lang.Enum<IDurableLockingManager.LockGrade>
org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockGrade

All Implemented Interfaces:
  `Serializable`, `Comparable<IDurableLockingManager.LockGrade>`, `Constable`

Enclosing interface:
  `IDurableLockingManager`

public static enum IDurableLockingManager.LockGrade extends Enum<IDurableLockingManager.LockGrade>
Enumerates the possible combinations of read and write locks on a single CDO object.

Author:
  Eike Stepper
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
`OPTION`
`READ`
`READ_OPTION`
`READ_WRITE`
`READ_WRITE_OPTION`
`WRITE`
`WRITE_OPTION`

## Method Summary

Modifier and Type
Method
Description
`void`
`forEachLockType(Consumer<org.eclipse.net4j.util.concurrent.IRWLockManager.LockType> consumer)`
`static IDurableLockingManager.LockGrade`
`get(boolean read, boolean write)`
Deprecated.
Use `get(boolean, boolean, boolean)`
`static IDurableLockingManager.LockGrade`
`get(boolean read, boolean write, boolean option)`
`static IDurableLockingManager.LockGrade`
`get(int value)`
`static IDurableLockingManager.LockGrade`
`get(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`IDurableLockingManager.LockGrade`
`getUpdated(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, boolean on)`
`int`
`getValue()`
`boolean`
`isOption()`
`boolean`
`isRead()`
`boolean`
`isWrite()`
`static IDurableLockingManager.LockGrade`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDurableLockingManager.LockGrade[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final IDurableLockingManager.LockGrade NONE

### READ

public static final IDurableLockingManager.LockGrade READ

### WRITE

public static final IDurableLockingManager.LockGrade WRITE

### READ_WRITE

public static final IDurableLockingManager.LockGrade READ_WRITE

### OPTION

public static final IDurableLockingManager.LockGrade OPTION

Since:
  4.1

### READ_OPTION

public static final IDurableLockingManager.LockGrade READ_OPTION

Since:
  4.1

### WRITE_OPTION

public static final IDurableLockingManager.LockGrade WRITE_OPTION

Since:
  4.1

### READ_WRITE_OPTION

public static final IDurableLockingManager.LockGrade READ_WRITE_OPTION

Since:
  4.1

## Method Details

### values

public static IDurableLockingManager.LockGrade[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDurableLockingManager.LockGrade valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()

### isRead

public boolean isRead()

### isWrite

public boolean isWrite()

### isOption

public boolean isOption()

Since:
  4.1

### forEachLockType

public void forEachLockType(Consumer<org.eclipse.net4j.util.concurrent.IRWLockManager.LockType> consumer)

Since:
  4.15

### getUpdated

public IDurableLockingManager.LockGrade getUpdated(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, boolean on)

### get

public static IDurableLockingManager.LockGrade get(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)

### get

@Deprecated public static IDurableLockingManager.LockGrade get(boolean read, boolean write)
Deprecated.
Use `get(boolean, boolean, boolean)`

### get

public static IDurableLockingManager.LockGrade get(boolean read, boolean write, boolean option)

Since:
  4.1

### get

public static IDurableLockingManager.LockGrade get(int value)